Uploaded image for project: 'Couchbase Python Client Library'
  1. Couchbase Python Client Library
  2. PYCBC-688

Python client build is broken for python 3.4+

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved
    • Major
    • Resolution: Not a Bug
    • 2.5.9
    • 2.5.11
    • None
    • None
    • 1

    Description

      Couchbase new release is broken on python 3.5+ as it included `enum34` as a required dependancy for all versions, which means python3.5+ installs enum34 and breaks whole project as it's incompatible with new python versions.

      See related discussions on `poetry` build system's issue tracker: https://github.com/couchbase/couchbase-python-client

      Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

        Activity

          People

            Ellis.Breen Ellis Breen
            wraptile wraptile
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Gerrit Reviews

                There are no open Gerrit changes

                PagerDuty